Confluence upgrade from 5.6 to 6.1

Hi,

I'm going to upgrade my confluence from 5.6 to 6.1 but I facing problem.

I follow all documents and steps to update but now luck.
currently, I'm getting below error.  

 

om.atlassian.util.concurrent.LazyReference$InitializationException: java.lang.IllegalStateException: Spring Application context has not been set
com.atlassian.util.concurrent.LazyReference.getInterruptibly(LazyReference.java:149)
com.atlassian.util.concurrent.LazyReference.get(LazyReference.java:112)

 

I tried to start confluence service without root user but no luck.

please help me on this issue.

1 answer

0 votes
Ann Worley Atlassian Team Apr 18, 2017

In my experience with the error "Spring Application context has not been set" it is caused by Confluence Home Directory file system permissions 9 times out of 10. You probably found this article:

Confluence does not start due to Spring Application context has not been set

In some cases I have seen the error when the confluence.cfg.xml is corrupt in the root of the home directory.

To get faster results, please consider opening a support request at https://getsupport.atlassian.com. You can include logs from the upgrade and find out what happened.

 

 

 

 

 

 

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted Oct 24, 2018 in Confluence

Atlassian Research opportunity with Confluence templates

Do you use templates with Confluence? Take part in a remote 1-hr workshop. You'll receive USD $100 for your time!   We're looking for people to participate in a   remote 1-hr workshop...

1,521 views 25 14
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you